petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscInfo

Logs informative data, which is printed to standard output or a file when the option -info <file> is specified.

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscInfo(void *vobj, const char message[])
    PetscErrorCode PetscInfo1(void *vobj, const char formatmessage[],arg1)
    PetscErrorCode PetscInfo2(void *vobj, const char formatmessage[],arg1,arg2)
    etc

Collective over PetscObject argument Many br

### Input Parameter

| vobj | - object most closely associated with the logging statement or NULL Many br
| message | - logging message Many br
| formatmessage | - logging message using standard "printf" format Many br

### Options Database Key

       -info : activates printing of PetscInfo() messages

Many br

Fortran Note: This function does not take the vobj argument, there is only the PetscInfo() Many brversion, not PetscInfo1() etc. Many br

### Example of Usage

        Mat A

        double alpha

        PetscInfo1(A,"Matrix uses parameter alpha=%g\n",alpha);

### See Also

PetscInfoAllow()

Level:intermediate
Location:src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex3f.F.html
src/ksp/ksp/examples/tutorials/ex10.c.html